Routes
Initiate collection
Initiate an insurance data collection for a given individual based on the CollectionRequestInput with the specified login method.
client-id
Type:
apiKeyParameter Name:
client-idIn:
headerHeader Parameters
Insurely-Versionstring
Enum:
["2025-01-01"]Request Body
companystring
The name of the company to trigger the collection from
consentsArray<ConsentRequestInput>
A set of consents provided by the end user.
filterCollectionRequestFilter
inputobject
Key-value object specifying additional input required for the collection. What values should be included depends on context.Possible keys are `SWEDISH_PERSONAL_NUMBER`, `NORWEGIAN_PERSONAL_NUMBER`, `NORWEGIAN_PHONE_NUMBER`,`USERNAME`, `PASSWORD`, `LASTNAME`, `ACCOUNT_OWNER_NAME`.
loginMethodstring
Login method that will be used to authenticate the user. Available login methods for a company is specified in the `/companies/availability` response.
Possible Enum values are
USERNAME_AND_PASSWORD, PDF_UPLOAD, or MANUAL_SELECT.Responses
Data collection successfully initiated.
cURL
curl https://api.insurely.com/insurance/collection \ -H "client-id: <client-id>" \ -X POST